<?php
 // === Classe Personnel ===
 class Personnel
 { // -- Les attributs ou propriétés --
   private $_nom=""   ;
   private $_prenom="";
   // -- méthodes --
   public function getNom() {return $this->_nom;}
   public function getPrenom() {return $this->_prenom;}
   public function setNom($v) {$this->_nom=trim($v);}
   public function setPrenom($v) {$this->_prenom=trim($v);}
 }
 // === Classe Cadre ===
 class Cadre extends Personnel
 { // -- Les attributs ou propriétés --
   private $_tel=""   ;
   // -- méthodes --
   public function getTel() {return $this->_tel;}
   public function setTel($v) {$this->_tel=trim($v);}
 }
 // === Programme ===
 $un_cadre = new Cadre() ;
 $un_cadre->setNom("dupont") ;
 $un_cadre->setPrenom("jean");
 $un_cadre->setTel("0143451122") ; 
 echo $un_cadre->getNom()." ";
 echo $un_cadre->getPrenom()." ";
 echo $un_cadre->getTel().PHP_EOL;   
?>
